import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:senior_authentication/senior_authentication.dart';
import './bloc/password_bloc.dart';
import './password_form.dart';

class PasswordScreen extends StatelessWidget {
  const PasswordScreen({Key? key, required this.username}) : super(key: key);

  final String username;

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.white,
      resizeToAvoidBottomInset: false,
      appBar: AppBar(
        iconTheme: const IconThemeData(color: Colors.black87),
        backgroundColor: Colors.white,
        shadowColor: Colors.transparent,
        title: const Text(
          'Inserir a sua senha',
          style: TextStyle(color: Colors.black87),
        ),
      ),
      body: BlocProvider(
        create: (_) => PasswordBloc(
          authenticationRepository: context.read<AuthenticationRepository>(),
          username: username,
        ),
        child: Padding(
          padding: const EdgeInsets.symmetric(horizontal: 16.0),
          child: PasswordForm(
            username: username,
          ),
        ),
      ),
    );
  }
}
